Web lists-archives.com

dist-upgrade jessie->stretch, texlive problems




Hi all,

I performed a dist-upgrade from jessie to stretch on my desktop. It
did not went well. I manage to solve many problems except the texlive
issue. I finally remove anything tex related and try to slowly install
it back. I started with tex-common. That went well. Then with
texlive-base. That went also OK. But when I add any packages with
texlive-latex-* I get configuration problems for tex-common that I
can't solve. I try many ways to go around this problem without
success. The error boils down to this:

| fmtutil failed.
| 
| Preparing tex-common (6.06) ...
| Running mktexlsr. This may take some time... done.
| l.422   \repeat
| 
| ?
| ! Emergency stop.
| \process@language ...name("\luatexluaescapestring
|                                                   {#1}") == nil)}\ifnum 0=\d...
| 
| l.422   \repeat
| 
|  251 words of node memory still in use:
|    1 dir, 2 glue, 32 glue_spec, 4 if_stack nodes
|    avail lists: 2:8,3:1,4:1
| !  ==> Fatal error occurred, bad output DVI file produced!
| No pages of output.
| 
| Transcript written on dvilualatex.log.
| fmtutil [ERROR]: running `luatex -ini   -jobname=lualatex -progname=lualatex lualatex.ini </dev/null' return status 1
| fmtutil [ERROR]: return error due to options --strict
| fmtutil [ERROR]: running `luatex -ini   -jobname=dvilualatex -progname=dvilualatex dvilualatex.ini </dev/null' return status 1
| fmtutil [ERROR]: return error due to options --strict
| 


Am not sure what the "luatex -ini -jobname=lualatex -progname=lualatex
lualatex.ini </dev/null" is doing, where --strict is added, and line
422 of which document is, but this is messing up with everything.
Anyone has some understanding of this process that can shade some
light into this upgrade issue?

Thank you for any hint.

 Ionel